#!/bin/sh
set -e

KUMATUXBIN=$KUMATUXSETUPBIN KUMATUXROOT=$KUMATUXSETUPROOT KUMATUXLINKS=$KUMATUXSETUPLINKS . $KUMATUXSETUPBIN/kumatux.org-vars

for DIRECTORY in $KUMATUXROOTDIRS
do
    if [ ! -d $KUMATUXSETUPROOT/$DIRECTORY ]
    then
        mkdir -p $KUMATUXSETUPROOT/$DIRECTORY
    fi
done

for DIRECTORY in $KUMATUXPYTHONVERSIONS
do
    if [ ! -d $KUMATUXSETUPROOT/$KUMATUXROOTPYTHON/$DIRECTORY ]
    then
	mkdir -p $KUMATUXSETUPROOT/$KUMATUXROOTPYTHON/$DIRECTORY
    fi
done

#for PYVER in $KUMATUXPYTHONVERSIONS
#do
#    if [ ! -d /usr/lib/python$PYVER/site-packages ]
#    then
#	mkdir -p /usr/lib/python$PYVER/site-packages
#    fi
#done
